#ifndef _AFFIN_H
#define _AFFIN_H

#define AFF_OK		0
#define	AFF_NULLPTR	1

/* rotates picture given in src
 * stores result in dst
 * w, h - width and height of picture
 * x0, y0 - point around which rotates
 * ang - angle of rotation
 * returns AFF_NULLPTR if src or dst is NULL else returns AFF_OK
 */
int aff_rotate_pic(int *dst, const int *src, int w, int h, int x0, int y0, double ang);

/* performs simple bilinear interpolation
 * p[2][2] should contain values in the unit square vertices
 * where p[x][y] is the corresponding vertex
 * point specified by x and y should be inside the unit square
 * this function shouldn't fail and returns interpolated value
 */
int aff_single_bilinear_interpolation(int p[2][2], double x, double y);

#endif
